﻿:root {
    --dxbl-listbox-item-selected-hover-bg: #ffa44f;
    --dxbl-listbox-item-selected-bg: #ff7d04;
    --dxbl-listbox-item-hover-color: #ffa44f;
    --dxbl-popup-header-btn-hover-bg: #e6d4cd;
    --dxbl-edit-dropdown-btn-focus-outline-color: #ff7d04 !important;
    --mud-palette-primary: #fff !important;
    --mud-palette-action-default-hover: white !important;
}

.spinner {
    margin-top: 2.1rem;
    width: 60px;
    height: 60px;
    border: 4px solid rgba(0, 0, 0, 0.1);
    border-top: 4px solid #333;
    border-radius: 50%;
    animation: spin 1s linear infinite;
    margin-left: auto;
    margin-right: auto;
}

@keyframes spin {
    to {
        transform: rotate(360deg);
    }
}

#reconnect-text {
    margin-top: 0.5rem;
    font-size: 1.2rem;
    font-weight: 500;
}

#reconnect-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.5); /* semi-transparent dark overlay */
    z-index: 10000; /* behind the modal but above everything else */
}

#reconnect-modal {
    background-color: white;
    padding: 2rem;
    border-radius: 0.5rem;
    text-align: center;
    box-shadow: 0 3px 6px 2px rgba(0, 0, 0, 0.3);
    position: fixed;
    min-width: 400px;
    min-height: 200px;
    width: 50%;
    top: 50px; /* Slight offset from top */
    left: 50%;
    transform: translateX(-50%);
    z-index: 10001;
}

ol.list li {
    margin-bottom: 27px;
}

.dxbl-text-edit:focus-within {
    --dxbl-text-edit-focus-border-color: #ff7d04;
    --dxbl-text-edit-focus-shadow-color: #ff7d04;
}

.dxbl-grid .dxbl-grid-table > thead .dxbl-grid-filter-row {
    height: 40px;
}

.dxbl-grid .dxbl-grid-table > thead > tr {
    background-color: #20baaf;
    color: white;
}

.dxbl-grid th dxbl-grid-header-content {
    display: flex;
    justify-content: center;
    height: 40px;
}

dxbl-dropdown-root#root {
    max-width: 250px;
}

a.navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
}

/* Provide sufficient contrast against white background */
a {
    color: #0366d6;
    text-decoration: underline;
}

ul {
    margin-bottom: 0px;
}

.bg-dark {
    background-color: #373737 !important;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    position: relative;
    min-height: 100%;
}

body {
    /* Margin bottom by footer height */
    font-family: sans-serif;
    background: #f9eee3;
}

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    white-space: nowrap;
    line-height: 60px; /* Vertically center the text there */
}

.navbar {
    padding: 15px 10px;
    background: #fff;
    border: none;
    border-radius: 0;
    box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.1);
}

.navbar-btn {
    box-shadow: none;
    outline: none !important;
    border: none;
}

.line {
    width: 100%;
    height: 1px;
    border-bottom: 1px dashed #ddd;
    margin: 40px 0;
}

i,
span {
    display: inline-block;
}



.validation-summary-errors ul {
    cursor: default;
}
/* ---------------------------------------------------
    LOGIN BANNER STYLE
----------------------------------------------------- */
.banner-container {
    margin-top: 35px;
    border-width: 2px;
    background-color: white;
    border-color: #ff7d04;
    padding: 30px;
}

.banner-container p:last-of-type {
    margin-bottom: 0px !important;
}

/* ---------------------------------------------------
    CONTENT STYLE
----------------------------------------------------- */

#content {
    width: 100%;
    padding: 22px;
    min-height: 100vh;
    background-color: #f9eee3;
    transition: all 0.8s;
}

#loading-panel-index-page .dxbl-loading-panel-indicator-area {
    width: 250px;
}

#loading-panel-index-page .dxbl-loading-panel-indicator-area span {
    font-size: 25px;
    color: #ff7d04 !important;
    font-weight: bold;
}

.dxbl-wait-indicator {
    --dxbl-wait-indicator-color: #ff7d04 !important;
}

.dxbl-loading-panel-message dxbl-loading-message-left {
    font-size: 25px;
}

.page-header {    
    padding-bottom: 5px;
    border-bottom: 2px solid #ff7d04;
    color: black;
}

.form-divider {
    padding-bottom: 5px;
    border-bottom: 3px solid #ff7d04;
}

/* ---------------------------------------------------
    MEDIAQUERIES
----------------------------------------------------- */

.blueLine {
    padding-bottom: 5px;
    border-bottom: 3px solid #00b6ed;
}

.tableHeader {
    padding-bottom: 2px;
    border-bottom: 1.5px solid #00b6ed;
}

.input-group {
    width: 100%;
}

    .input-group > .input-group-prepend {
        -webkit-box-flex: 0;
        width: 200px;
    }

.input-group-text {
    width: 200px;
}

.validation-message {
    color: red;
}

.navbar-toggler-icon {
    width: 0.7em !important;
    height: 0.7em !important;
}

.btn-dark {
    background-color: #373737 !important;
    border-color: #373737 !important;
    color: #fff !important;
}
/* ---------------------------------------------------
    Wait spinner
----------------------------------------------------- */
.lds-dual-ring {
    display: inline-block;
    width: 32px;
    height: 32px;
}

    .lds-dual-ring:after {
        content: " ";
        display: block;
        width: 23px;
        height: 23px;
        margin: 1px;
        border-radius: 50%;
        border: 5px solid #cef;
        border-color: #ff7d04 !important transparent #cef transparent;
        animation: lds-dual-ring 1.2s linear infinite;
    }

@keyframes lds-dual-ring {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.input-validation {
    margin-left: 210px;
    color: red;
    display: block;
}


.topcorner {
    position: absolute;
    top: 10px;
    right: 22px;
}

/* ---------------------------------------------------
    QR-CODE STYLE
----------------------------------------------------- */

.qr-container {
    display: flex;
    flex-direction: row;
    margin-top: 80px;
    flex-wrap: wrap;
    gap: 40px;
}

.qr-image {
    display: flex;
    flex-direction: column;
    justify-content: center;
    border: 0.3px solid black;
    width: 307px;
}

.qr-image img {
    width: 305px;
    height: 305px;
}

.qr-image-text {
    display: flex;
    flex-direction: column;
    gap: 5px;
    padding: 0px 25px 15px 25px;
    background: white;
}

.qr-image-text-label {
    width: 105px;
}

    .qr-image-text span {
        text-align: start;
        width: 200px;
        /*overflow: hidden;
        white-space: nowrap;
        text-overflow: ellipsis;*/
    }

.qr-form-container {
    width: 100%
}

.dx-forms-cells {
    width: 55%;
}


/* Stack vertically when the width is 600px or smaller */
@media (max-width: 600px) {
    .qr-container {
        flex-direction: column;
        align-items: center;
    }
}

/* ---------------------------------------------------
    DevExpress changes
----------------------------------------------------- */

.dxbl-grid .dxbl-grid-empty-data > span {
    display: none;
}

.dxbl-grid .dxbl-grid-empty-data::after {
    content: 'Er is geen data gevonden';
    font-weight: bold;
}

#ida66ae2c3-8fd5-46aa-afa3-cd9c8e10dd75 > span {
    display: none;
}

#ida66ae2c3-8fd5-46aa-afa3-cd9c8e10dd75::after{
    content: 'Leegmaken'
}

.dxbl-list-box-item-selected {
    color: white;
}

    .dxbl-list-box-item-selected::before {
        background-color: #ffa44f !important;
    }

tr.dxbl-grid-filter-row.dxbl-grid-editor-inplace-container td[tabindex="0"]:focus-within {
    outline: 2px solid #ffa44f !important; /* Adjust color and width as desired */
    outline-offset: calc(-1* .15rem);
}

/* ---------------------------------------------------
    Iframe styling
----------------------------------------------------- */

.iframe-container {
    width: 100%;
    height: 100vh;
    margin-top: 20px;
}
